Categories


Authors:
neuro159
free software

PHP

Products: IntelliJ IDEA

Vendor: JetBrains

Email: N/A

Website: N/A

Bugtracker page

Forum page

Description:

PHP 5.3/5.4/5.5 editing and debugging, PHPUnit, Smarty and various frameworks support
Downloads: 269787
Rating:
Participated in rating: 8
Version Since Build Until Build File/URL Size (Kb) Date Details
136.1672. 134.1300. . Download 5024.39 2014-04-22 11:52:46 details
133.982. 133.620. 134. Download 4869.68 2014-02-25 23:00:52 details
131.374. 132.719. 133. Download 4745.41 2013-10-22 18:15:37 details
130.1639. 130.1365. . Download 4672.12 2013-08-17 00:15:08 details
129.814. 129.1. . Download 4465.62 2013-06-28 13:28:22 details
127.100. 126.330. . Download 4305.82 2013-03-13 13:29:54 details
123.66. 122.850. . Download 4080.02 2012-12-05 20:40:39 details
121.390. 118.430. . Download 3867.23 2012-11-04 01:56:02 details
117.746. 112. 117.*. Download 3645.97 2012-07-15 03:37:46 details
111.344. 111. 112. Download 3396.05 2012-03-01 02:53:35 details
. .
11 updates are hidden show all updates
Screenshot #11484

Recent change notes:

PhpStorm 8 EAP 136.1672 version

Comments:

123>
Anonymous
2014-03-06 19:46:52
For those complaining about plugin not working, you know you can go back to 13.0~?
.
Anonymous
2014-03-06 18:16:49
Should we expect an update to this plugin or just start using WebStorm?
.
john.degey
2014-03-06 17:30:15
EAP 13.1 build 134.1445 is not compatible with php 133.982...
.
Anonymous
Rated:
2014-03-03 14:17:01
133.982 still doesn't work with 13.1 EAP
.
epoplive
Rated:
2014-02-27 02:49:23
1160 does not work, keeps erroring: Could not save application settings: com.jetbrains.php.arrangement.PhpRearranger.getSerializer()Lcom/intellij/psi/codeStyle/arrangement/ArrangementSettingsSerializer;
.
john.degey
2014-02-26 03:57:38
IDEA EAP 134.1160 + PHP 133.982 always the same problem as turya describe it. No files can be opened, css, php ,js etc... Just impossible to work with it
.
turya
2014-02-14 00:11:44
Could not save application settings: com.jetbrains.php.arrangement.PhpRearranger.getSerializer()Lcom/intellij/psi/codeStyle/arrangement/ArrangementSettingsSerializer; EAP 134.1007 and PHP 133.679 absolutely does not work. Can't even open files with the plugin loaded, and it immediately disables itself and requests a restart.
.
Anonymous
Rated:
2014-02-10 18:35:25
Doesn't work. PHP is not for Java people.
.
jgbernalp
Rated:
2014-01-29 15:46:12
133.679 does not work properly. AbstractMethodError: com.intellij.webcore.template.formatter.AbstractTemplateLanguageFormattingModelBuilder.createTemplateLanguageBlock(Lcom/intellij/lang/ASTNode;Lcom/intellij/psi/codeStyle/CodeStyleSettings;Lcom/intellij/formatting/Indent;Lcom/intellij/formatting/Alignment;Lcom/intellij/formatting/Wrap;)Lcom/intellij/formatting/Block;: com.intellij.webcore.template.formatter.AbstractTemplateLanguageFormattingModelBuilder.createTemplateLanguageBlock(Lcom/intellij/lang/ASTNode;Lcom/intellij/psi/codeStyle/CodeStyleSettings;Lcom/intellij/formatting/Indent;Lcom/intellij/formatting/Alignment;Lcom/intellij/formatting/Wrap;)Lcom/intellij/formatting/Block;
.
neuro159
2014-01-27 14:13:19
133.679+ requires IDEA 13.0.2 RC+
.
Anonymous
2014-01-27 12:00:47
133.679 does not work properly. AbstractMethodError: com.intellij.webcore.template.formatter.AbstractTemplateLanguageFormattingModelBuilder.createTemplateLanguageBlock(Lcom/intellij/lang/ASTNode;Lcom/intellij/psi/codeStyle/CodeStyleSettings;Lcom/intellij/formatting/Indent;Lcom/intellij/formatting/Alignment;Lcom/intellij/formatting/Wrap;)Lcom/intellij/formatting/Block;: com.intellij.webcore.template.formatter.AbstractTemplateLanguageFormattingModelBuilder.createTemplateLanguageBlock(Lcom/intellij/lang/ASTNode;Lcom/intellij/psi/codeStyle/CodeStyleSettings;Lcom/intellij/formatting/Indent;Lcom/intellij/formatting/Alignment;Lcom/intellij/formatting/Wrap;)Lcom/intellij/formatting/Block;
.
hanutamix
2014-01-25 17:23:09
Just Upgrade nto 679 and this error is thrown To reindex this file IDEA has to be restarted java.lang.NoSuchMethodError: com.intellij.util.containers.ContainerUtil.getFirstItem
.
Anonymous
2014-01-24 21:59:05
Just upgraded to 133.679 and had to downgrade back to previous version, as it was trowing exception at AbstractTemplateLanguageFormattingModelBuilder.createTemplateLanguageBlock Hope it'll help to fix the problem
.
Anonymous
2013-11-22 18:54:13
Same here(using community edition). Plugin says it is "free software", but how come it depends on com.intellij.css which sounds commercial version.
.
Anonymous
2013-11-22 08:06:44
I have 12.1.6 community edition and I couldn't successfully install this plugin. It kept saying the this plugin has dependency on some com.intellij.css etc.
.
123>